| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ValueMap Class Reference

`#include <Scouter/ValueMap.h>`

List of all members.

## Detailed Description

ValueMap is used in conjunction with Scouter and MLSender to carry the information declared by IMonitorSvc's declareInfo.

It converts the variable to a void* pointer and stores its type information in an enum. This way, the variable can be converted to its original form when being written or published.

Author:
  Ben King

Date:
  2006-07-03

Definition at line 18 of file ValueMap.h.

## Public Types
enum | m_type { m_int, m_long, m_double, m_bool, m_string, m_null }
## Public Member Functions
| ValueMap (void *pointer, m_type pointerType)
| standard Constructor
| ValueMap ()
| default Constructor
virtual | ~ValueMap ()
| Destructor.
void | set_ptr (void *pointer)
| Sets pointer.
void | set_ptrType (m_type pointerType)
| Sets pointer type (enum).
void * | get_ptr ()
| Return pointer.
m_type | get_ptrType ()
| Return pointer type (enum).
## Private Attributes
void * | ptr
m_type | ptrType

## Member Enumeration Documentation

enum ValueMap::m_type

Enumerator:

  m_int |
  m_long |
  m_double |
  m_bool |
  m_string |
  m_null |

Definition at line 21 of file ValueMap.h.

    00021               {
    00022     m_int,
    00023     m_long,
    00024     m_double,
    00025     m_bool,
    00026     m_string,
    00027     m_null
    00028   };

## Constructor & Destructor Documentation

ValueMap::ValueMap | ( | void * | pointer,
|  | m_type | pointerType |
| ) |  |  | `[inline]`

standard Constructor

Definition at line 32 of file ValueMap.h.

References ptr, and ptrType.

    00033   {
    00034     ptr = pointer;
    00035     ptrType = pointerType;
    00036   }

ValueMap::ValueMap | ( |  | ) | `[inline]`

default Constructor

Definition at line 39 of file ValueMap.h.

References m_null, ptr, and ptrType.

    00040   {
    00041     ptr = NULL;
    00042     ptrType = m_null;
    00043   }

virtual ValueMap::~ValueMap | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 46 of file ValueMap.h.

    00046 {};

## Member Function Documentation

void ValueMap::set_ptr | ( | void * | pointer | ) | `[inline]`

Sets pointer.

Definition at line 52 of file ValueMap.h.

References ptr.

Referenced by DataListenerSvc::declareInfo().

    00052 { ptr = pointer;}

void ValueMap::set_ptrType | ( | m_type | pointerType | ) | `[inline]`

Sets pointer type (enum).

Definition at line 54 of file ValueMap.h.

References ptrType.

Referenced by DataListenerSvc::declareInfo().

    00054 { ptrType = pointerType; }

void* ValueMap::get_ptr | ( |  | ) | `[inline]`

Return pointer.

Definition at line 60 of file ValueMap.h.

References ptr.

Referenced by DataListenerSvc::sendData(), DataListenerSvc::writeMap(), and DataListenerSvc::writeXML().

    00060 { return ptr; }

m_type ValueMap::get_ptrType | ( |  | ) | `[inline]`

Return pointer type (enum).

Definition at line 62 of file ValueMap.h.

References ptrType.

Referenced by DataListenerSvc::sendData(), DataListenerSvc::writeMap(), and DataListenerSvc::writeXML().

    00062 { return ptrType; }

## Member Data Documentation

void* ValueMap::ptr`[private]`

Definition at line 67 of file ValueMap.h.

Referenced by get_ptr(), set_ptr(), and ValueMap().

m_type ValueMap::ptrType`[private]`

Definition at line 68 of file ValueMap.h.

Referenced by get_ptrType(), set_ptrType(), and ValueMap().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiMonitor/v1r4/src/DataListenerSvc/ValueMap.h